Subject: Re: [RFC PATCH bridge 0/5] Add basic VLAN support to bridges

From: Nicolas de Pesloüan<[email-masked]>
Date: Thu, 23 Aug 2012 23:03:21 +0200

Le 23/08/2012 21:29, Vlad Yasevich a écrit :
> This series of patches provides an ability to add VLAN IDs to the bridge
> ports.  This is similar to what can be found in most switches.  The bridge
> port may have any number of VLANs added to it including vlan 0 for untagged
> traffic.  When vlans are added to the port, only traffic tagged with particular
> vlan will forwarded over this port.  Additionally, vlan ids are added to FDB
> entries and become part of the lookup.  This way we correctly identify the FDB
> entry.
>
> There are still pieces missing.  I don't yet support adding a static fdb entry
> with a particular vlan.  There is no netlink support for carrying a vlan id.
>
> I'd like to hear thoughts of whether this is usufull and something we should
> persue.
>

Do you think this might allow for per VLAN spanning tree (having ports in forwarding state or 
blocking state depending on the VLAN) in the future?

	Nicolas.